curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"error": "PositionNotFoundError",
"message": "Position with external ID 'external-user-position-1' not found",
"code": "ZC004"
}
Positions
Delete Position
Deletes a user position from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
user-position
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"error": "PositionNotFoundError",
"message": "Position with external ID 'external-user-position-1' not found",
"code": "ZC004"
}
Deletes a user position from your COR instance using its external ID. This removes both the position and the integration mapping.
Path Parameters
string
required
External position ID that was used when creating the position
Request Body Requirements
Known Errors
PositionNotFoundError— No position found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefieldDeletionError— Position cannot be deleted due to existing user associations
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/user-position/external-user-position-1',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
console.log(response.status);
{
"message": "Entity deleted successfully"
}
{
"error": "PositionNotFoundError",
"message": "Position with external ID 'external-user-position-1' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

